### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/fddividendengine.hpp File Reference

base engine for option with dividends More...

`#include <ql/pricingengines/vanilla/fdmultiperiodengine.hpp>`
`#include <ql/instruments/dividendvanillaoption.hpp>`
Include dependency graph for fddividendengine.hpp:

## Classes

class | FDDividendEngineBase< Scheme >
| Abstract base class for dividend engines. More...
class | FDDividendEngineMerton73< Scheme >
| Finite-differences pricing engine for dividend options using escowed dividends model. More...
class | FDDividendEngineShiftScale< Scheme >
| Finite-differences engine for dividend options using shifted dividends. More...

## Detailed Description

base engine for option with dividends